Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Начало Помощь Поиск Войти Регистрация
Новости: Скачать PC-BSD: http://mirror.pcbsd.ru/

Русский форум дистрибутива PC-BSD.  |  Компьютеры  |  Софт (Модераторы: arriah, nomoo)  |  Тема: LOR сказал, что появился skype 4.0 от МелкоСофта 0 Пользователей и 1 Гость смотрят эту тему. « предыдущая тема следующая тема »
Страниц: [1] Печать
Автор Тема: LOR сказал, что появился skype 4.0 от МелкоСофта  (Прочитано 5495 раз)
drfaust
Понимающий
***

Репутация: 12
Offline Offline

Пол: Мужской
Сообщений: 253



Просмотр профиля
« : Июня 15, 2012, 09:34:34 pm »

У меня
Код:
FreeBSD pcbsd-4191 9.0-RELEASE-p2 FreeBSD 9.0-RELEASE-p2 #12: Sun Jun 10 16:48:50 YEKT 2012     faust@pcbsd-4191:/usr/obj/usr/src/sys/FAUST  amd64
Решил обновить штатный "портовый" скайп. Уж очень часто он вылетает и камеру не всегда подхватывает (в "тесте видео" мою рожу кажет, а при разговоре - белое поле. При этом i-net канал свободен (никого кроме скайпа при 2MBit/s))
В отличие от штатного просит ещё и libtiff.so.4, но у мну система 64, а он 32битный. Есессно родная либа не катит. Как бы установить её через порты в /usr/lib32/compat ?
P.S. Ща буду шаманить с фЕдоровскими rpm`мами

Просто закидывать бинарник не вижу смысла, охота справится штатными механизмами...
Записан
drfaust
Понимающий
***

Репутация: 12
Offline Offline

Пол: Мужской
Сообщений: 253



Просмотр профиля
« Ответ #1 : Июня 15, 2012, 10:41:52 pm »

Первую траблу решил через ln /compat/linux/usr/lib/libtiff.so.3.8.2 /compat/linux/usr/lib/libtiff.so.4
Теперь борюсь с
Код:
[faust@pcbsd-4191] ~/bin/skype_staticQT-4.0.0.7> ./skype1
./skype: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by ./skype)
./skype: /lib/libc.so.6: version `GLIBC_2.10' not found (required by ./skype)
Записан
a1ewka-gal4onok
Редактор
Гуру
*

Репутация: 78
Offline Offline

Пол: Мужской
Сообщений: 1662



Просмотр профиля
« Ответ #2 : Июня 16, 2012, 01:33:48 am »

Прочитал первый пост, хотел уже ответить, да уже есть собственный ответ Smiley

Да, действительно, симлинки помогли бы тут. Если ставить консольную программу htop то там аналогичная ситуация.
Записан
drfaust
Понимающий
***

Репутация: 12
Offline Offline

Пол: Мужской
Сообщений: 253



Просмотр профиля
« Ответ #3 : Июня 16, 2012, 02:12:10 am »

Вторая трабла интересней: несоответствие версий stdc++ (вроде и libstdc в довесок). Гугль порекомендовал cd /usr/ports/emulators/linux_base-fc4 && make install , но это снесло старый предыдущий симлинк и проблемы не решило...
Записан
drfaust
Понимающий
***

Репутация: 12
Offline Offline

Пол: Мужской
Сообщений: 253



Просмотр профиля
« Ответ #4 : Июня 16, 2012, 02:45:45 am »

сделал cd /usr/ports/emulators/linux_base-fc10 && make install
Получил:
Код:
[faust@pcbsd-4191] ~/bin/skype_staticQT-4.0.0.7> ./skype
ELF interpreter /lib/ld-linux.so.2 not found
Abort
[faust@pcbsd-4191] ~/bin/skype_staticQT-4.0.0.7>
Игра продолжается  Grin
Записан
drfaust
Понимающий
***

Репутация: 12
Offline Offline

Пол: Мужской
Сообщений: 253



Просмотр профиля
« Ответ #5 : Июня 27, 2012, 08:22:30 pm »

GameOver !!!
Накачал я rpm`ки с libstd++ и glib нужных версий, распаковал их в /compat/linux/lib, подправил симлинки.
Скайп начал ругаться на версию ядра, мол нужна ему 2.6.18, а не 2.6.16. Ну подправил  sysctl compat.linux.osrelease=2.6.18.
И вот тут скайп меня круто обломал:
Код:
[faust@pcbsd-4191] ~/bin/skype_staticQT-4.0.0.7> ./skype11
./skype: symbol lookup error: ./skype: undefined symbol: g_main_context_push_thread_default

Кароче, тот линуксятор, что во фряхе есть не катит. Переделывать его полностью вручную - думаю изврат...
Записан
Страниц: [1] Печать 
Русский форум дистрибутива PC-BSD.  |  Компьютеры  |  Софт (Модераторы: arriah, nomoo)  |  Тема: LOR сказал, что появился skype 4.0 от МелкоСофта « предыдущая тема следующая тема »
Перейти в:  


Войти

Powered by MySQL Powered by PHP Powered by SMF 1.1.3 | SMF © 2006, Simple Machines LLC PC-BSD